All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
OptLocker Class Reference

provides a safe and exception-safe way to hold optional locks in Qore, only to be used on the stack, cannot be dynamically allocated More...

`#include <QoreThreadLock.h>`

Collaboration diagram for OptLocker:
[legend]

## Public Member Functions

DLLLOCAL | OptLocker (QoreThreadLock *l)
| creates the object and grabs the lock if the argument is not NULL
DLLLOCAL | ~OptLocker ()
| releases the lock if there is a lock pointer being managed and destroys the object

## Protected Attributes

QoreThreadLock * | lck
| the pointer to the lock that will be managed

## Detailed Description

provides a safe and exception-safe way to hold optional locks in Qore, only to be used on the stack, cannot be dynamically allocated

Ensures that locks are released by locking the lock when the object is created and releasing it when the object is destroyed.

See Also
  SafeLocker
  AutoLocker

The documentation for this class was generated from the following file:

- include/qore/QoreThreadLock.h (6de6cc3b438610bf03b2bec44a3d7c61f90e3165)